public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: net-libs/libktorrent/
Date: Fri, 16 Mar 2012 09:23:04 +0000 (UTC)	[thread overview]
Message-ID: <1331888927.513a26b681482f2d9ec154786e30fc7c5d6b1234.johu@gentoo> (raw)

commit:     513a26b681482f2d9ec154786e30fc7c5d6b1234
Author:     Pavlos Ratis <dastergon <AT> gmail <DOT> com>
AuthorDate: Tue Mar 13 17:05:49 2012 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Fri Mar 16 09:08:47 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=513a26b6

[net-libs/libktorrent] version bump

---
 net-libs/libktorrent/libktorrent-1.2.0.ebuild |   51 +++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)

diff --git a/net-libs/libktorrent/libktorrent-1.2.0.ebuild b/net-libs/libktorrent/libktorrent-1.2.0.ebuild
new file mode 100644
index 0000000..1334698
--- /dev/null
+++ b/net-libs/libktorrent/libktorrent-1.2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+KDE_SCM="git"
+if [[ ${PV} != 9999* ]]; then
+	inherit versionator
+	# upstream likes to skip that _ in beta releases
+	MY_PV="${PV/_/}"
+	KTORRENT_VERSION=$(($(get_major_version)+3)).$(get_version_component_range 2-3 ${MY_PV})
+	MY_P="${PN}-${MY_PV}"
+	KDE_HANDBOOK="optional"
+	KDE_DOC_DIRS="doc"
+
+	KDE_LINGUAS="ar ast be bg ca ca@valencia cs da de el en_GB eo es et eu
+		fi fr ga gl hi hne hr hu is it ja km ku lt lv ms nb nds nl nn oc pl
+		pt pt_BR ro ru se si sk sl sr sr@ijekavian sr@ijekavianlatin
+		sr@latin sv tr uk zh_CN zh_TW"
+	SRC_URI="http://ktorrent.org/downloads/${KTORRENT_VERSION}/${MY_P}.tar.bz2"
+	S="${WORKDIR}"/"${MY_P}"
+
+	KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+else
+	KEYWORDS=""
+fi
+VIRTUALX_REQUIRED=test
+inherit kde4-base
+
+DESCRIPTION="A BitTorrent library based on KDE Platform"
+HOMEPAGE="http://ktorrent.org/"
+
+LICENSE="GPL-2"
+SLOT="4"
+IUSE="debug"
+
+RDEPEND="
+	app-crypt/qca:2
+	dev-libs/gmp
+"
+DEPEND="${RDEPEND}
+	dev-libs/boost
+	sys-devel/gettext
+"
+
+src_prepare() {
+	kde4-base_src_prepare
+	# do not build non-installed example binary
+	sed -i -e '/add_subdirectory(examples)/d' CMakeLists.txt || die
+}



             reply	other threads:[~2012-03-16  9:23 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-03-16  9:23 Johannes Huber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-15 14:58 [gentoo-commits] proj/kde:master commit in: net-libs/libktorrent/ Sam James
2024-11-09 22:32 Andreas Sturmlechner
2024-02-27 22:28 Sam James
2024-02-25 21:04 Sam James
2023-12-09 10:03 Andreas Sturmlechner
2022-10-11 15:18 Andreas Sturmlechner
2022-09-08 12:33 Andreas Sturmlechner
2020-05-23 22:00 Andreas Sturmlechner
2019-12-27 21:47 Andreas Sturmlechner
2019-07-10 10:30 Andreas Sturmlechner
2018-02-22 13:17 Andreas Sturmlechner
2017-09-29  2:56 Michael Palimaka
2017-08-31 21:01 Andreas Sturmlechner
2017-08-21 12:24 Andreas Sturmlechner
2017-08-19 20:41 Andreas Sturmlechner
2017-08-08 23:49 Andreas Sturmlechner
2017-06-27 17:22 Andreas Sturmlechner
2017-06-04 18:47 Andreas Sturmlechner
2016-11-04 16:28 Michael Palimaka
2016-08-21 20:21 Michael Palimaka
2016-04-20 10:34 Michael Palimaka
2016-04-20 10:09 Michael Palimaka
2016-04-20 10:09 Michael Palimaka
2016-04-16 13:42 Johannes Huber
2016-03-08 14:41 Michael Palimaka
2016-03-08 14:26 Michael Palimaka
2016-02-23 14:15 Michael Palimaka
2015-02-17 13:44 Michael Palimaka
2015-01-29  1:41 Johannes Huber
2013-03-19 12:18 Michael Palimaka
2013-01-29 12:47 Michael Palimaka
2012-12-10 16:07 Michael Palimaka
2012-11-11 16:18 Michael Palimaka
2012-08-22 20:12 Johannes Huber
2012-06-27  9:39 Michael Palimaka
2012-05-18 17:23 Johannes Huber
2012-05-18 14:12 Paulos Ratis
2012-03-19 17:21 Johannes Huber
2011-02-18 20:31 Andreas K. Huettel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1331888927.513a26b681482f2d9ec154786e30fc7c5d6b1234.johu@gentoo \
    --to=johu@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox